Download it now!
Bug 79737 - FILESAVE: DOCX: Bibliographic fonts not exported
Summary: FILESAVE: DOCX: Bibliographic fonts not exported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOCX
  Show dependency treegraph
 
Reported: 2014-06-06 18:30 UTC by Jacobo Aragunde Pérez
Modified: 2020-12-12 03:49 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacobo Aragunde Pérez 2014-06-06 18:30:21 UTC
Bibliographic fonts in a .docx document are stored in customXml/item?.xml files. LO can preserve those files if they are already present in the original document (when opening a .docx) but it cannot create them yet.

The result is that saving an .odt document as .docx results on the lose of the bibliographic fonts. Steps to reproduce:

1. Open attachment 95957 [details].
2. Save as .docx.
3. Open the exported document in Word.
4. Now do some reference-related operation, for example in the "references" tab change the style of the citations. The citation will become invalid.
5. You can also check "references" -> bibliography manager to see that [ARJ00] reference is not there.
Comment 1 Jorendc 2014-06-09 12:47:38 UTC
Hi Jacobo :-)

You can mark your own created bug reports as NEW right away.

(1) you know what you're doing in bugzilla :) (providing enough information, step by step, doesn't report dupes, etc etc).
(2) you are a known developer ;-)

So feel free to mark as NEW. Unless you need some confirmation or help bibisecting etc. In that case you can leave it as UNCONFIRMED so someone else will have a look.

Thanks for improving LibreOffice' compatibility.

Kind regards,
Joren
Comment 2 QA Administrators 2015-07-18 17:43:49 UTC Comment hidden (obsolete)
Comment 3 Jacobo Aragunde Pérez 2015-08-12 08:53:07 UTC
Still reproducible.

Version: 5.1.0.0.alpha1+
Build ID: 0f4b3cb7d3d68906de316a64dcec281da2a641bd
Comment 4 QA Administrators 2016-09-20 10:21:00 UTC Comment hidden (obsolete)
Comment 5 Jacobo Aragunde Pérez 2016-10-19 10:59:21 UTC
Still reproducible as described originally.

Version: 5.1.6.1.0+
Build ID: 5.1.6.1-1.fc24
CPU Threads: 4; OS Version: Linux 4.7; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 6 QA Administrators 2017-12-10 16:38:48 UTC Comment hidden (obsolete)
Comment 7 Jacobo Aragunde Pérez 2017-12-11 11:22:24 UTC
Still reproducible as originally described.

Version: 5.3.7.2.0+
Build ID: 5.3.7.2-4.fc26
CPU Threads: 4; OS Version: Linux 4.13; UI Render: default; VCL: gtk3; Layout Engine: new; 
Locale: es-ES (en_US.UTF-8); Calc: group
Comment 8 QA Administrators 2018-12-12 03:42:50 UTC Comment hidden (obsolete)
Comment 9 Jacobo Aragunde Pérez 2018-12-12 15:10:03 UTC
Still reproducible as originally described.

Version: 6.0.6.2
Build ID: 6.0.6.2-3.fc28
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: es-ES (en_US.UTF-8); Calc: group
Comment 10 QA Administrators 2020-12-12 03:49:06 UTC
Dear Jacobo Aragunde Pérez,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug